Package: org.codehaus.groovy.ast.expr

## [Java] Class GStringExpression

- org.codehaus.groovy.ast.expr.GStringExpression

- Represents a String expression which contains embedded values inside it such as "hello there ${user} how are you" which is expanded lazily

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GStringExpression (String verbatimText)`
    `GStringExpression (String verbatimText, List<ConstantExpression> strings, List<Expression> values)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addString(ConstantExpression text)`
    `` | `void` | `addValue(Expression value)`
    `` | `Expression` | `asConstantString()`
    `` | `List<ConstantExpression>` | `getStrings()`
    `` | `String` | `getText()`
    `` | `Expression` | `getValue(int idx)`
    `` | `List<Expression>` | `getValues()`
    `` | `boolean` | `isConstantString()`
    `` | `String` | `toString()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GStringExpression(String verbatimText)

    - #### public GStringExpression(String verbatimText, List<ConstantExpression> strings, List<Expression> values)

  - ### Method Detail

    - #### public void addString(ConstantExpression text)

    - #### public void addValue(Expression value)

    - #### public Expression asConstantString()

    - #### public List<ConstantExpression> getStrings()

    - #### public String getText()

    - #### public Expression getValue(int idx)

    - #### public List<Expression> getValues()

    - #### public boolean isConstantString()

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)